monoSpline {lumi} | R Documentation

## Fitting a curve with monotonic spline

### Description

Fitting a curve with monotonic spline

### Usage

    monoSpline(x, y, newX=NULL, nKnots = 6, ifPlot = FALSE)

### Arguments

`x` | a vector represents x values
`y` | a vector represents y values
`newX` | the new values to be transformed. If not provided, "x" will be used.
`nKnots` | parameter used by function smoothCon in package mgcv
`ifPlot` | determine whether to plot intermediate results

### Details

Function internally called by monoSmu

### Value

return the transformed "newX" based on the smoothed curve

### Author(s)

Simon Lin, Pan Du

### See Also

`monoSmu`

[Package lumi version 1.10.2 Index]